## texlive-base 2020.20200804

=== texmf-dist/source/lualatex/ekdosis/Makefile ===
NAME  = ekdosis
SHELL = bash
CMP   = lualatex-dev
PWD   = $(shell pwd)
VERS  = $(shell ltxfileinfo -v $(NAME).dtx|sed -e 's/^v//')
LOCAL = $(shell kpsewhich --var-value TEXMFLOCAL)
UTREE = $(shell kpsewhich --var-value TEXMFHOME)
HOMEDIR := $$HOME

exts := md html ins dtx el
texsamples := $(basename $(wildcard $(PWD)/samples/*.tex))
texsamplesout := $(notdir $(basename $(wildcard $(PWD)/samples/*.tex)))
findopts := $(foreach ext,$(exts),-or -iname "*.$(ext)")

define dosamples
	$(CMP) --output-dir=$(PWD)/TMP --shell-escape $1 >/dev/null
	$(CMP) --output-dir=$(PWD)/TMP --shell-escape $1 >/dev/null
	$(CMP) --output-dir=$(PWD)/TMP --shell-escape $1 >/dev/null
	$(CMP) --output-dir=$(PWD)/TMP --shell-escape $1 >/dev/null
endef

all:	sty $(NAME).pdf

sty: clean
	$(CMP) $(NAME).ins >/dev/null

$(NAME).pdf: $(NAME).dtx
	@ echo "Make the sample files first..."
	if [ ! -d $(PWD)/TMP ]; then mkdir $(PWD)/TMP; fi
	$(foreach file,$(texsamples), $(call dosamples, $(file)))
	mv TMP/*.pdf samples/
	mv $(texsamplesout)-tei.xml samples/
	@ echo "Build the documentation of $(NAME)..."
	$(CMP) --shell-escape -recorder -interaction=batchmode $(NAME).dtx >/dev/null
	biber $(NAME) >/dev/null
	if [ -f $(NAME).glo ]; then makeindex -q -s gglo.ist -o $(NAME).gls $(NAME).glo; fi
	if [ -f $(NAME).idx ]; then makeindex -q -s gind.ist -o $(NAME).ind $(NAME).idx; fi
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null

samples: clean sty
	if [ ! -d $(PWD)/TMP ]; then mkdir $(PWD)/TMP; fi
	$(foreach file,$(texsamples), $(call dosamples, $(file)))
	mv TMP/*{\.pdf,-tei\.xml} samples/

clean:
	rm -rf auto
	rm -f $(NAME).bib $(PWD)/TMP/*.bib
	rm -rf .backup
	find -iname "*~" -or -iname "*.pdf" | xargs rm -rf
	find ./* -type f -iname "Makefile" $(findopts) > ls-R
	find ./* -type f -iname "*.tex" | grep '/samples/' >> ls-R
	rsync -aPr --files-from=ls-R . .backup
	rm -rf *
	cp -p -r .backup/* .
	rm -rf .backup
	pandoc -s README.md -o about.html

auctex:
	if [ ! -d "$(HOMEDIR)/.emacs.d/auctex/auto" ]; then \
	mkdir -p $(HOMEDIR)/.emacs.d/auctex/auto; \
	fi
	cp $(NAME)*.el $(HOMEDIR)/.emacs.d/auctex/auto

distclean: clean uninst

uninst:
	rm -rf $(UTREE)/{tex,source,doc}/lualatex/$(NAME)
	rm -rf $(HOMEDIR)/.emacs.d/auctex/auto/$(NAME).{el,elc}

inst: uninst auctex all
	mkdir -p $(UTREE)/{tex,source,doc}/lualatex/$(NAME)
	cp $(NAME).dtx $(UTREE)/source/lualatex/$(NAME)
	cp $(NAME).sty $(UTREE)/tex/lualatex/$(NAME)
	cp $(NAME).lua $(UTREE)/tex/lualatex/$(NAME)
	cp $(NAME).pdf $(UTREE)/doc/lualatex/$(NAME)
	cp -r samples/ $(UTREE)/doc/lualatex/$(NAME)

local: uninst auctex
	$(CMP) $(NAME).ins
	mkdir -p $(UTREE)/{tex,source,doc}/lualatex/$(NAME)
	cp $(NAME).sty $(UTREE)/tex/lualatex/$(NAME)
	cp $(NAME).lua $(UTREE)/tex/lualatex/$(NAME)

zip: all
	ln -sf . $(NAME)
	zip -Drq $(PWD)/$(NAME)-$(VERS).zip $(NAME)/{samples,README.md,$(NAME).{pdf,sty,lua,el}}
	rm $(NAME)

package: distclean all
	mkdir $(NAME)/
	cp Makefile README.md $(NAME).{ins,dtx,pdf} $(NAME)/
	cp -r samples/ $(NAME)/
	mkdir -p tex/lualatex/$(NAME)/
	cp *.lua *.sty tex/lualatex/$(NAME)/
	mkdir -p doc/lualatex/$(NAME)/
	cp README.md *.el *.pdf doc/lualatex/$(NAME)/
	cp -r samples/ doc/lualatex/$(NAME)/
	mkdir -p source/lualatex/$(NAME)/
	cp Makefile *.ins *.dtx source/lualatex/$(NAME)/
	zip -r $(NAME).tds.zip tex doc source
	rm -rf tex/ source/ doc/
	tar czf $(NAME)-$(VERS).tar.gz $(NAME).tds.zip $(NAME)/
	rm -rf $(NAME)/

.PHONY: all clean distclean inst local uninst install uninstall zip package samples

=== debian/changelog ===
texlive-base (2020.20200804-3mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 26 Sep 2020 21:07:18 -0700

texlive-base (2020.20200804-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Install README.tlmgr-on-debian.md (Closes: #968235)

  * Some man pages are not provided by TL-bin any more. Do not kill them
    from TL-base. (Closes: #970477)

 -- Hilmar Preusse <hille42@web.de>  Sat, 19 Sep 2020 22:47:32 +0200

texlive-base (2020.20200804-2) unstable; urgency=medium

  * Fix missing replace/breaks for cloze moved to tl-luatex (Closes: #967912)

 -- Norbert Preining <norbert@preining.info>  Sun, 09 Aug 2020 21:19:03 +0900

texlive-base (2020.20200804-1) unstable; urgency=medium

  * New upstream checkout

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Aug 2020 14:42:19 +0900

texlive-base (2020.20200629-1) unstable; urgency=medium

  * New upstream checkout
  * Bump standards version to 4.5.0 (no changes necessary)
  * Switch to dh 13

 -- Norbert Preining <norbert@preining.info>  Mon, 29 Jun 2020 10:59:00 +0900

=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: debhelper (>= 12), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
Standards-Version: 4.5.0
Homepage: http://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git
Vcs-Browser: https://github.com/debian-tex/texlive-nonbin

Package: texlive-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2020.20200327), ucf, xdg-utils
Conflicts: tex4ht (<< 20160814), texlive (<< 2020.20200417), texlive-base (<< 2020.20200417), texlive-bibtex-extra (<< 2020.20200417), texlive-binaries (<< 2020.20200327), texlive-extra-utils (<< 2020.20200417), texlive-font-utils (<< 2020.20200417), texlive-fonts-extra (<< 2020.20200417), texlive-fonts-extra-doc (<< 2020.20200417), texlive-fonts-extra-links (<< 2020.20200417), texlive-fonts-recommended (<< 2020.20200417), texlive-fonts-recommended-doc (<< 2020.20200417), texlive-formats-extra (<< 2020.20200417), texlive-full (<< 2020.20200417), texlive-games (<< 2020.20200417), texlive-humanities (<< 2020.20200417), texlive-humanities-doc (<< 2020.20200417), texlive-lang-all (<< 2020.20200417), texlive-lang-arabic (<< 2020.20200417), texlive-lang-chinese (<< 2020.20200417), texlive-lang-cjk (<< 2020.20200417), texlive-lang-cyrillic (<< 2020.20200417), texlive-lang-czechslovak (<< 2020.20200417), texlive-lang-english (<< 2020.20200417), texlive-lang-european (<< 2020.20200417), texlive-lang-french (<< 2020.20200417), texlive-lang-german (<< 2020.20200417), texlive-lang-greek (<< 2020.20200417), texlive-lang-italian (<< 2020.20200417), texlive-lang-japanese (<< 2020.20200417), texlive-lang-korean (<< 2020.20200417), texlive-lang-other (<< 2020.20200417), texlive-lang-polish (<< 2020.20200417), texlive-lang-portuguese (<< 2020.20200417), texlive-lang-spanish (<< 2020.20200417), texlive-latex-base (<< 2020.20200417), texlive-latex-base-doc (<< 2020.20200417), texlive-latex-extra (<< 2020.20200417), texlive-latex-extra-doc (<< 2020.20200417), texlive-latex-recommended (<< 2020.20200417), texlive-latex-recommended-doc (<< 2020.20200417), texlive-luatex (<< 2020.20200417), texlive-metapost (<< 2020.20200417), texlive-metapost-doc (<< 2020.20200417), texlive-music (<< 2020.20200417), texlive-pictures (<< 2020.20200417), texlive-pictures-doc (<< 2020.20200417), texlive-plain-generic (<< 2020.20200417), texlive-pstricks (<< 2020.20200417), texlive-pstricks-doc (<< 2020.20200417), texlive-publishers (<< 2020.20200417), texlive-publishers-doc (<< 2020.20200417), texlive-science (<< 2020.20200417), texlive-science-doc (<< 2020.20200417), texlive-xetex (<< 2020.20200417)
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
Replaces: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701)
Breaks: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-extra-utils (<< 2020.20200329-2), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-math-extra (<< 2017)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX 
 macros, Computer Modern fonts, and configuration for common drivers; no 
 LaTeX.
 .
 This package includes the following CTAN packages:
 .
 amsfonts -- TeX fonts from the American Mathematical Society
 .
 bibtex -- Process bibliographies for LaTeX, etc
 .
 cm -- Computer Modern fonts
 .
 colorprofiles -- Collection of free ICC profiles
 .
 dvipdfmx -- An extended version of dvipdfm
 .
 dvips -- A DVI to PostScript driver
 .
 ec -- Computer modern fonts in T1 and TS1 encodings
 .
 enctex -- A TeX extension that translates input on its way into TeX
 .
 etex -- An extended version of TeX, from the NTS project
 .
 etex-pkg -- E-TeX support package
 .
 glyphlist -- Adobe Glyph List and TeX extensions
 .
 graphics-def -- Colour and graphics option files
 .
 hyph-utf8 -- Hyphenation patterns expressed in UTF-8
 .
 hyphen-base -- core hyphenation support files
 .
 hyphenex -- US English hyphenation exceptions file
 .
 ifplatform -- Conditionals to test which platform is being used
 .
 iftex -- Am I running under pdfTeX, XeTeX or LuaTeX?
 .
 knuth-lib -- A small library of Metafont sources
 .
 knuth-local -- Knuth's local information
 .
 kpathsea -- Path searching library for TeX-related files
 .
 lua-alt-getopt -- Process application arguments the same way as getopt_long
 .
 luahbtex -- LuaTeX with HarfBuzz library for glyph shaping
 .
 luatex -- The LuaTeX engine
 .
 makeindex -- Makeindex development sources
 .
 metafont -- A system for specifying fonts
 .
 mflogo -- LaTeX support for Metafont logo fonts
 .
 mfware -- Supporting tools for use with Metafont
 .
 modes -- A collection of Metafont mode_def's
 .
 pdftex -- A TeX extension for direct creation of PDF
 .
 plain -- The Plain TeX format
 .
 tex -- A sophisticated typesetting engine
 .
 tex-ini-files -- Model TeX format creation files
 .
 texlive-common -- TeX Live documentation (common elements)
 .
 texlive-docindex -- top-level TeX Live doc.html, etc.
 .
 texlive-en -- TeX Live manual (English)
 .
 texlive-msg-translations -- translations of the TeX Live installer and TeX
 Live Manager
 .
 texlive-scripts -- TeX Live infrastructure programs
 .
 texlive.infra -- basic TeX Live infrastructure
 .
 unicode-data -- Unicode data and loaders for TeX
 .
 updmap-map -- auto-generated font map files
 .
 xdvi -- A DVI previewer for the X Window System
 .
 texdoc -- Documentation access for TeX Live
 .
 texdoctk -- Easy access to package documentation

Package: texlive-latex-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2020.20200417), texlive-base (>= 2020.20200417), texlive-binaries (>= 2020.20200327)
Suggests: texlive-latex-base-doc
Replaces: texlive-latex-extra (<< 2019.202000225), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225)
Breaks: texlive-base (<< 2020.20200417), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2019.202000225), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225)
Description: TeX Live: LaTeX fundamental packages
 These packages are either mandated by the core LaTeX team, or very widely 
 used and strongly recommended in practice.
 .
 This package includes the following CTAN packages:
 .
 ae -- Virtual fonts for T1 encoded CMR-fonts
 .
 amscls -- AMS document classes for LaTeX
 .
 amsmath -- AMS mathematical facilities for LaTeX
 .
 atbegshi -- Execute stuff at \shipout time
 .
 atveryend -- Hooks at the very end of a document
 .
 auxhook -- Hooks for auxiliary files
 .
 babel -- Multilingual support for Plain TeX or LaTeX
 .
 babel-english -- Babel support for English
 .
 babelbib -- Multilingual bibliographies
 .
 bigintcalc -- Integer calculations on very large numbers
 .
 bitset -- Handle bit-vector datatype
 .
 bookmark -- A new bookmark (outline) organization for hyperref
 .
 carlisle -- David Carlisle's small packages
 .
 colortbl -- Add colour to LaTeX tables
 .
 epstopdf-pkg -- Call epstopdf "on the fly"
 .
 etexcmds -- Avoid name clashes with e-TeX commands
 .
 fancyhdr -- Extensive control of page headers and footers in LaTeX2e
 .
 fix2col -- Fix miscellaneous two column mode features
 .
 geometry -- Flexible and complete interface to document dimensions
 .
 gettitlestring -- Clean up title references
 .
 graphics -- The LaTeX standard graphics bundle
 .
 graphics-cfg -- Sample configuration files for LaTeX color and graphics
 .
 grfext -- Manipulate the graphics package's list of extensions
 .
 hycolor -- Implements colour for packages hyperref and bookmark
 .
 hyperref -- Extensive support for hypertext in LaTeX
 .
 intcalc -- Expandable arithmetic operations with integers
 .
 kvdefinekeys -- Define keys for use in the kvsetkeys package
 .
 kvoptions -- Key value format for package options
 .
 kvsetkeys -- Key value parser with default handler support
 .
 l3backend -- LaTeX3 backend drivers
 .
 l3kernel -- LaTeX3 programming conventions
 .
 latex -- A TeX macro package that defines LaTeX
 .
 latex-bin -- LaTeX executables and man pages
 .
 latex-fonts -- A collection of fonts used in LaTeX distributions
 .
 latexconfig -- configuration files for LaTeX-related formats
 .
 letltxmacro -- Let assignment for LaTeX macros
 .
 ltxcmds -- Some LaTeX kernel commands for general use
 .
 ltxmisc -- Miscellaneous LaTeX packages, etc
 .
 mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX
 .
 mptopdf -- mpost to PDF, native MetaPost graphics inclusion
 .
 natbib -- Flexible bibliography support
 .
 oberdiek -- A bundle of packages submitted by Heiko Oberdiek
 .
 pdfescape -- Implements pdfTeX's escape features using TeX or e-TeX
 .
 pslatex -- Use PostScript fonts by default
 .
 psnfss -- Font support for common PostScript fonts
 .
 pspicture -- PostScript picture support
 .
 refcount -- Counter operations with label references
 .
 rerunfilecheck -- Checksum based rerun checks on auxiliary files
 .
 stringenc -- Converting a string between different encodings
 .
 tools -- The LaTeX standard tools bundle
 .
 uniquecounter -- Provides unlimited unique counter
 .
 url -- Verbatim with URL-sensitive line breaks

Package: texlive-latex-recommended
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2020.20200417), texlive-binaries (>= 2020.20200327), texlive-latex-base (>= 2020.20200417)
Suggests: texlive-latex-recommended-doc, texlive-luatex, texlive-pstricks
Replaces: texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
Breaks: texlive-base (<< 2020.20200417), texlive-latex-base (<< 2019.20191208), texlive-latex-base (<< 2019.20200205), texlive-latex-base (<< 2019.20200225), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20190720), texlive-latex-extra (<< 2019.20190915), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
Description: TeX Live: LaTeX recommended packages
 A collection of recommended add-on packages for LaTeX which have widespread 
 use, and the release candidate formats latex-dev, etc.
 .
 This package includes the following CTAN packages:
 .
 anysize -- A simple package to set up document margins
 .
 attachfile2 -- Attach files into PDF
 .
 beamer -- A LaTeX class for producing presentations and slides
 .
 booktabs -- Publication quality tables in LaTeX
 .
 breqn -- Automatic line breaking of displayed equations
 .
 caption -- Customising captions in floating environments
 .
 cite -- Improved citation handling in LaTeX
 .

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-base

PACKAGES=texlive-base texlive-latex-base texlive-latex-recommended texlive-fonts-recommended texlive-pictures texlive-luatex texlive-metapost texlive-xetex texlive-fonts-recommended-doc texlive-latex-base-doc texlive-latex-recommended-doc texlive-metapost-doc texlive-pictures-doc
METAPACKAGES=texlive texlive-full

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:

	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done

	rm -f debian/texlive-base.cnf


	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  bash debian/useless-fix-perl-shebang-for-policy $$i ; \
	  find debian/$i/usr/share -name \*.jar -exec chmod ugo-x '{}' \; ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done

	mkdir -p debian/texlive-base/etc/texmf/texdoctk
	mv debian/texlive-base/usr/share/texlive/texmf-dist/texdoctk/texdocrc.defaults \
	  debian/texlive-base/etc/texmf/texdoctk
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/texlive/texmf-dist/texdoctk
	mkdir -p debian/texlive-base/usr/share/applications
	install debian/texdoctk.desktop debian/texlive-base/usr/share/applications
	# install texdoc data cache
	mkdir -p debian/texlive-base/usr/share/texlive/texmf-dist/scripts/texdoc/
	install debian/Data.tlpdb.lua debian/texlive-base/usr/share/texlive/texmf-dist/scripts/texdoc/Data.tlpdb.lua



	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	#dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian

	dh_installdocs -p texlive-base README readme-txt.dir readme-html.dir debian/CHANGES.packaging debian/README.tlmgr-on-Debian.md
	# nasty trick
	# mptopdf needs a dump, but is a link to a script
	# we have to trick dh_installtex to accept it
	mv debian/texlive-latex-base/usr/bin/mptopdf	\
		debian/texlive-latex-base/usr/bin/mptopdf.bck
	ln -s pdftex debian/texlive-latex-base/usr/bin/mptopdf
	dh_installtex -Ntexlive-base -A 		\
		$(patsubst %,-N%,$(METAPACKAGES))	\
		--flavor=tree:texlive
	# nasty trick undoing
	rm debian/texlive-latex-base/usr/bin/mptopdf
	mv debian/texlive-latex-base/usr/bin/mptopdf.bck	\
		debian/texlive-latex-base/usr/bin/mptopdf
	# end of nasty trick
	dh_installtex -ptexlive-base --flavor=tree:texlive
	# /usr/bin/mf has been created by dh_installtex as symlink to 
	# mf-nowin, but is also shipped by texlive-binaries, remove it.
	rm debian/texlive-base/usr/bin/mf
	# furthermore we want to have etex and pdfetex as links in 
	# texlive-binaries and not in texlive-base, remove them here
	# and add them via dh_link in texlive-binaries
	# this is just out of history, would be nicer to have changed
	rm debian/texlive-base/usr/bin/etex 
	rm debian/texlive-base/usr/bin/pdfetex
	# for the libpaper hook, install templates and
	# translations. No need to modify postrm. I hope it accepts
	# the missing config script
	dh_installdebconf -n
	cp debian/texlive-base.libpaper debian/texlive-base/etc/libpaper.d/texlive-base
	chmod a+x debian/texlive-base/etc/libpaper.d/texlive-base

	dh_installemacsen
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo

	# remove info files that are present in texlive-binaries
	# has to be done after the dh_installinfo call
	rm debian/texlive-base/usr/share/info/dvips.info*
	rm debian/texlive-base/usr/share/info/web2c.info*
	rm debian/texlive-base/usr/share/info/kpathsea.info*
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/info

	dh_installmime
	dh_lintian
	dh_link
	dh_strip_nondeterminism
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# remove x bit from jar files
	find debian/texlive-*/usr/share/texlive -name \*.jar -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums

	dh_builddeb -- -Zxz


binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

override_dh_strip:
	dh_strip -a --no-automatic-dbgsym

# eof

## texlive-base 2020.20200925

=== texmf-dist/source/latex/koma-script/Makefile ===
# ======================================================================
# Makefile
# Copyright (c) Markus Kohm, 2002-2020
#
# This file is part of the LaTeX2e KOMA-Script bundle.
#
# This work may be distributed and/or modified under the conditions of
# the LaTeX Project Public License, version 1.3c of the license.
# The latest version of this license is in
#   http://www.latex-project.org/lppl.txt
# and version 1.3c or later is part of all distributions of LaTeX 
# version 2005/12/01 or later and of this work.
#
# This work has the LPPL maintenance status "author-maintained".
#
# The Current Maintainer and author of this work is Markus Kohm.
#
# This work consists of all files listed in manifest.txt.
# ----------------------------------------------------------------------
# Makefile
# Copyright (c) Markus Kohm, 2002-2020
#
# Dieses Werk darf nach den Bedingungen der LaTeX Project Public Lizenz,
# Version 1.3c, verteilt und/oder veraendert werden.
# Die neuste Version dieser Lizenz ist
#   http://www.latex-project.org/lppl.txt
# und Version 1.3c ist Teil aller Verteilungen von LaTeX
# Version 2005/12/01 oder spaeter und dieses Werks.
#
# Dieses Werk hat den LPPL-Verwaltungs-Status "author-maintained"
# (allein durch den Autor verwaltet).
#
# Der Aktuelle Verwalter und Autor dieses Werkes ist Markus Kohm.
# 
# Dieses Werk besteht aus den in manifest.txt aufgefuehrten Dateien.
# ======================================================================

NOCHANGELOG = 1 # We do not longer make or package the ChangeLog

# ----------------------------------------------------------------------
# All directories with Makefiles
export BASEDIR ?= $(PWD)/
SUBDIRS = doc
# ----------------------------------------------------------------------
# Load common rules
include Makefile.baserules
# Load variable definitions
include Makefile.baseinit
# ----------------------------------------------------------------------
# Temporary folder, used to create distribution.
# Same folder with postfix "-maintain" will be used to create maintain-
# distribution.
export DISTDIR	   := $(PWD)/koma-script-$(ISODATE)
export MAINTAINDIR := $(DISTDIR)-maintain
# ----------------------------------------------------------------------

# ----------------------------------------------------------------------
# More than once used:
# Make implementation documentation
define makepdffromdtx
	if ! $(LATEX) $(NONSTOPMODE) $(PDFOUTPUT) $<; then \
	    $(RM) -v $@; \
	    exit 1; \
	fi
        oncemore=true; \
        checksum=`$(CKSUM) $(basename $<).aux`; \
        while $$oncemore; \
	do \
	    if ! $(MKINDEX) $(basename $<) \
	       || ! $(LATEX) $(NONSTOPMODE) $(PDFOUTPUT) $<; then \
	        $(RM) -v $@; \
	        exit 1; \
	    fi; \
	    $(GREP) Rerun $(basename $<).log || oncemore=false; \
	    newchecksum=`$(CKSUM) $(basename $<).aux`; \
	    [ "$$newchecksum"="$$checksum" ] || oncemore=true; \
	    checksum="$$newchecksum"; \
	done
endef
# ----------------------------------------------------------------------

# ----------------------------------------------------------------------
# List of all Makefiles
MAKE_FILES	= Makefile Makefile.baserules Makefile.baseinit
# ----------------------------------------------------------------------
# make classes, packages, etc.
CLS_MAIN	= scrbook.cls \
		  scrreprt.cls \
		  scrartcl.cls \
		  scrlttr2.cls \
		  scrreport.cls \
		  scrarticle.cls \
		  scrletter.cls \
		  scrletter.sty \
		  typearea.sty \
		  scrsize10pt.clo \
		  scrsize11pt.clo \
		  scrsize12pt.clo \
		  scrlfile.sty \
	   	  scrwfile.sty \
		  scrbase.sty \
		  scrkbase.sty \
		  scraddr.sty \
		  scrtime.sty \
		  scrdate.sty \
		  scrjura.sty \
		  tocbasic.sty \
		  scrextend.sty \
		  scrhack.sty \
		  float.hak \
		  floatrow.hak \
		  hyperref.hak \
		  listings.hak \
		  nomencl.hak \
		  setspace.hak \
		  lscape.hak \
		  standardsections.hak \
		  scrfontsizes.sty \
		  visualize.lco \
	          DIN.lco \
		  DINmtext.lco \
		  DIN5008A.lco \
		  DIN5008B.lco \
		  SN.lco \
	 	  SNleft.lco \
		  KOMAold.lco \
		  NF.lco \
		  UScommercial9.lco \
		  UScommercial9DW.lco \
		  NipponEH.lco \
		  NipponEL.lco \
		  NipponLH.lco \
		  NipponLL.lco \
		  NipponRL.lco \
		  KakuLL.lco \
		  scrlayer.sty \
		  scrlayer-scrpage.sty \
		  scrlayer-notecolumn.sty \
		  scrlayer-fancyhdr.sty

CLS_MAIN_DTX    = scrkernel-basics.dtx \
		  scrkernel-bibliography.dtx \
		  scrkernel-circularletters.dtx \
		  scrkernel-compatibility.dtx \
		  scrkernel-floats.dtx \
		  scrkernel-fonts.dtx \
		  scrkernel-footnotes.dtx \
		  scrkernel-index.dtx \
		  scrkernel-language.dtx \
		  scrkernel-letterclassoptions.dtx \
		  japanlco.dtx \
		  scrkernel-listsof.dtx \
		  scrkernel-listsandtabulars.dtx \
		  scrkernel-miscellaneous.dtx \
		  scrkernel-notepaper.dtx \
		  scrkernel-pagestyles.dtx \
		  scrkernel-paragraphs.dtx \
		  scrkernel-pseudolengths.dtx \
		  scrkernel-sections.dtx \
		  scrkernel-title.dtx \
		  scrkernel-tocstyle.dtx \
		  scrkernel-typearea.dtx \
		  scrkernel-variables.dtx \
		  scrkernel-version.dtx \
		  scrlfile.dtx \
		  scrwfile.dtx \
		  scraddr.dtx \
		  scrtime.dtx \
		  scrlogo.dtx \
	          scrextend.dtx \
                  scrhack.dtx \
		  scrjura.dtx \
		  tocbasic.dtx \
		  scrlayer.dtx \
		  scrlayer-scrpage.dtx \
		  scrlayer-notecolumn.dtx \
		  scrlayer-fancyhdr.dtx

STATIC_DOC      = README \
	          INSTALL.txt \
		  INSTALLD.txt \
	          lppl.txt \
	          lppl-de.txt \
		  manifest.txt \
		  komabug.tex

CLS_MAIN_DVI	= scrsource.pdf

CLS_MAIN_INS	= scrmain.ins

CLS_MAIN_SUBINS	= scrstrip.inc scrstrop.inc scrdocstrip.tex

ALPHA_INS       = scrlayer-fancyhdr.dtx

ALPHA_DOC       = scrlayer-fancyhdr.pdf

ALPHA_DTX       = $(subst .pdf,.dtx,$(ALPHA_DOC))

CLS_MAIN_SRC	= $(CLS_MAIN_DTX) $(CLS_MAIN_INS) $(CLS_MAIN_SUBINS) \
		  scrsource.tex

$(ALPHA_DOC): $(ALPHA_DTX) scrdoc.cls $(CLS_MAIN)
	$(LATEX) $(BATCHMODE) $(PDFOUTPUT) $(subst .pdf,.dtx,$@)
	$(MKINDEX) $(subst .pdf,,$@)
	$(LATEX) $(BATCHMODE) $(PDFOUTPUT) $(subst .pdf,.dtx,$@)
	$(MKINDEX) $(subst .pdf,,$@)
	$(LATEX) $(BATCHMODE) $(PDFOUTPUT) $(subst .pdf,.dtx,$@)

$(CLS_MAIN): $(CLS_MAIN_DVI) $(CLS_MAIN_INS) $(MAKE_FILES)
	$(TEXUNPACK) $(CLS_MAIN_INS)
	$(foreach alphains,$(ALPHA_INS),$(TEXUNPACK) $(alphains);)

scrsource.pdf: scrsource.tex $(CLS_MAIN_DTX) $(MAKE_FILES) scrdoc.cls
	$(makepdffromdtx)

scrdoc.cls: scrdoc.dtx
	$(SSYMLINK) scrdoc.dtx scrdoc.cls

# ----------------------------------------------------------------------
CLS_FILES	= scrdoc.cls $(CLS_MAIN)

CLS_DVIS	= $(CLS_MAIN_DVI)

CLS_SRC		= $(CLS_MAIN_SRC)

NODIST_GENERATED = $(CLS_DVIS) $(CLS_FILES) $(ALPHA_DOC)

GENERATED	= $(NODIST_GENERATED) \
		  scrjura.ins \
		  scrwfile.ins \
		  tocbasic.ins

MISC_SRC	= $(MAKE_FILES) \
                  scrdoc.dtx

ifndef NOCHANGELOG
GENERATED      += ChangeLog
MISC_SRC       += ChangeLog ChangeLog.2
endif

DIST_SRC	= $(MISC_SRC) $(CLS_SRC)

DIST_FILES	= $(DIST_SRC) $(STATIC_DOC) $(ALPHA_DOC)

MAINTAIN_SRC    = $(DIST_SRC) missing.dtx .cvsignore

MAINTAIN_FILES  = $(MAINTAIN_SRC)
# ----------------------------------------------------------------------

# ----------------------------------------------------------------------
# additional rules
tdsdist:dist
	# extract dist and make all
	$(UNTARGZ) $(DISTDIR).tar.gz
	chmod -R a+w $(DISTDIR)
ifdef PREPARERELEASE
	developer/scripts/preparerelease.sh 2 $(notdir $(DISTDIR))
endif
	$(CD) $(notdir $(DISTDIR)) && \
	  $(MAKE)
ifdef PREPARERELEASE
	$(MKDIR) $(notdir $(DISTDIR))/README.in
	$(INSTALL) README.in/README.*.sty README.in/README.*.cls $(notdir $(DISTDIR))/README.in
	developer/scripts/preparerelease.sh 3 $(notdir $(DISTDIR))
	$(RMDIR) $(notdir $(DISTDIR))/README.in
endif
	# install to temporary directory
	$(MKDIR) $(notdir $(DISTDIR))-bin/komascript-texmf
	$(CD) $(notdir $(DISTDIR)) && \
	  $(MAKE) INSTALLTEXMF=$(PWD)/$(notdir $(DISTDIR))-bin/komascript-texmf install
ifdef PREPARERELEASE
	developer/scripts/preparerelease.sh final $(notdir $(DISTDIR))
endif
	$(RMDIR) $(notdir $(DISTDIR))
	$(SRM) $(notdir $(DISTDIR))-bin/komascript-texmf/ls-R
	# build the tds.zip
	$(SRM) komascript.tds.zip
	$(CD) $(notdir $(DISTDIR))-bin/komascript-texmf && \
	  $(ZIP) ../../komascript.tds.zip source doc tex
	# clean up
	$(RMDIR) $(notdir $(DISTDIR))-bin
	$(SRM) $(notdir $(DISTDIR)).tar.gz

bindist:tdsdist
	# extract tds.zip
	$(MKDIR) $(notdir $(DISTDIR))-bin
	$(MKDIR) $(notdir $(DISTDIR))-bin/komascript-texmf
	$(CD) $(notdir $(DISTDIR))-bin/komascript-texmf && \
	  $(UNZIP) ../../komascript.tds.zip
	# copy some of the files to primary folder
	$(MV) komascript.tds.zip $(notdir $(DISTDIR))-bin/
ifndef NOCHANGELOG
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/source/latex/koma-script/ChangeLog $(notdir $(DISTDIR))-bin
endif
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/doc/latex/koma-script/scrgui* $(notdir $(DISTDIR))-bin
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/doc/latex/koma-script/*.txt $(notdir $(DISTDIR))-bin
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/doc/latex/koma-script/README $(notdir $(DISTDIR))-bin
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/doc/latex/koma-script/koma*.html $(notdir $(DISTDIR))-bin
	$(GREP) 'CheckKOMAScriptVersion{' $(notdir $(DISTDIR))-bin/komascript-texmf/source/latex/koma-script/scrkernel-version.dtx | grep -o '2.*t' > $(notdir $(DISTDIR))-bin/VERSION
	# build the bin.zip
	$(RMDIR) $(notdir $(DISTDIR))-bin/komascript-texmf
	$(SRM) $(notdir $(DISTDIR))-bin.zip
	$(CD) $(notdir $(DISTDIR))-bin && \
	  $(ZIP) ../$(notdir $(DISTDIR))-bin.zip *
	# clean up
	$(RMDIR) $(notdir $(DISTDIR))-bin

ctandist:tdsdist
	# extract tds.zip
	$(SRMDIR) $(notdir $(DISTDIR))-ctan
	$(MKDIR) $(notdir $(DISTDIR))-ctan/texmf
	$(INSTALL) komascript.tds.zip $(notdir $(DISTDIR))-ctan
	$(CD) $(notdir $(DISTDIR))-ctan/texmf && \
	  $(UNZIP) ../komascript.tds.zip
	# copy some doc files to doc source
	$(INSTALL) $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/*.html \
	  $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/*.pdf \
	  $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/doc/
	# copy some doc files to main source
	$(INSTALL) $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/*.txt \
	  $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/*.tex \
	  $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/README \
	  $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/
	# generate VERSION at main source
	$(GREP) 'CheckKOMAScriptVersion{' $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/scrkernel-version.dtx | grep -o '2.*t' \
	  > $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/VERSION
	# generate README.distributors at upmost
	$(HEAD) 18 $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/README > $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) 'File komascript.tds.zip is a complete TEXMF tree of KOMA-Script.  It may be' >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) 'used for manual installation or by distributors for distributions like' >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) '<http://mirror.ctan.org/tex-archive/install/macros/latex/contrib/komascript.tds.zip>.' >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) "File $(notdir $(DISTDIR)).ctan-src.zip is a file with sources and manuals of KOMA-Script"  >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) 'that CTAN seems to prefer for the distribution at'  >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) '<http://mirror.ctan.org/tex-archive/macros/latex/contrib/komascript>.' >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) 'Note, that it is not easy to generate a ready to use and complete installation' >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) "from $(notdir $(DISTDIR)).ctan-src.zip.  So it is hardly recommended to use" >> $(notdir $(DISTDIR))-ctan/README.distributors

=== texmf-dist/source/lualatex/ekdosis/Makefile ===
NAME  = ekdosis
SHELL = bash
CMP   = lualatex-dev
PWD   = $(shell pwd)
VERS  = $(shell ltxfileinfo -v $(NAME).dtx|sed -e 's/^v//')
LOCAL = $(shell kpsewhich --var-value TEXMFLOCAL)
UTREE = $(shell kpsewhich --var-value TEXMFHOME)
HOMEDIR := $$HOME
SAMPLES := samples

exts := md html ins dtx el
findopts := $(foreach ext,$(exts),-or -iname "*.$(ext)")

all:	sty $(NAME).pdf

testsamples:
	if [ ! -d $(SAMPLES) ] ; \
	then echo "$(SAMPLES)/ directory is needed. Aborting." && exit 1 ; \
	fi

sty: clean
	$(CMP) $(NAME).ins >/dev/null

$(NAME).pdf: testsamples $(NAME).dtx
	@ echo "Making the sample files first..."
	$(MAKE) --directory=$(SAMPLES)
	@ echo "Building the documentation of $(NAME)..."
	$(CMP) --shell-escape --recorder --interaction=batchmode $(NAME).dtx >/dev/null
	biber $(NAME) >/dev/null
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	if [ -f $(NAME).glo ]; then makeindex -q -s gglo.ist -o $(NAME).gls $(NAME).glo; fi
	if [ -f $(NAME).idx ]; then makeindex -q -s gind.ist -o $(NAME).ind $(NAME).idx; fi
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null

samples: clean sty
	$(MAKE) --directory=$(SAMPLES)

clean: testsamples
	rm -rf auto
	rm -f $(NAME).bib $(PWD)/TMP/*.bib
	rm -rf .backup
	find -iname "*~" -or -iname "*.pdf" -or -iname "*_out*.tex" | xargs rm -rf
	find ./* -type f -iname "Makefile" $(findopts) > ls-R
	find ./* -type f -iname "*.tex" | grep '/samples/' >> ls-R
	rsync -aPr --files-from=ls-R . .backup
	rm -rf *
	cp -p -r .backup/* .
	rm -rf .backup
	pandoc -s README.md -o about.html

auctex:
	if [ ! -d "$(HOMEDIR)/.emacs.d/auctex/auto" ]; then \
	mkdir -p $(HOMEDIR)/.emacs.d/auctex/auto; \
	fi
	cp $(NAME)*.el $(HOMEDIR)/.emacs.d/auctex/auto

distclean: clean uninst

uninst:
	rm -rf $(UTREE)/{tex,source,doc}/lualatex/$(NAME)
	rm -rf $(HOMEDIR)/.emacs.d/auctex/auto/$(NAME).{el,elc}

inst: uninst auctex all
	mkdir -p $(UTREE)/{tex,source,doc}/lualatex/$(NAME)
	cp $(NAME).dtx $(UTREE)/source/lualatex/$(NAME)
	cp $(NAME).sty $(UTREE)/tex/lualatex/$(NAME)
	cp $(NAME).lua $(UTREE)/tex/lualatex/$(NAME)
	cp $(NAME).pdf $(UTREE)/doc/lualatex/$(NAME)
	cp -r samples/ $(UTREE)/doc/lualatex/$(NAME)

local: uninst auctex
	$(CMP) $(NAME).ins
	mkdir -p $(UTREE)/{tex,source,doc}/lualatex/$(NAME)
	cp $(NAME).sty $(UTREE)/tex/lualatex/$(NAME)
	cp $(NAME).lua $(UTREE)/tex/lualatex/$(NAME)

zip: all
	ln -sf . $(NAME)
	zip -Drq $(PWD)/$(NAME)-$(VERS).zip $(NAME)/{samples,README.md,$(NAME).{pdf,sty,lua,el}}
	rm $(NAME)

package: distclean all
	mkdir $(NAME)/
	cp Makefile README.md $(NAME).{ins,dtx,pdf,el} $(NAME)/
	cp -r samples/ $(NAME)/
	mkdir -p tex/lualatex/$(NAME)/
	cp *.lua *.sty tex/lualatex/$(NAME)/
	mkdir -p doc/lualatex/$(NAME)/
	cp README.md *.el *.pdf doc/lualatex/$(NAME)/
	cp -r samples/ doc/lualatex/$(NAME)/
	mkdir -p source/lualatex/$(NAME)/
	cp Makefile *.ins *.dtx source/lualatex/$(NAME)/
	zip -r $(NAME).tds.zip tex doc source
	rm -rf tex/ source/ doc/
	tar czf $(NAME)-$(VERS).tar.gz $(NAME).tds.zip $(NAME)/
	rm -rf $(NAME)/

.SILENT: testsamples
.PHONY: all clean distclean inst local uninst install uninstall zip package samples testsamples

=== texmf-dist/doc/latex/circuit-macros/examples/psfrag/Makefile ===
# Makefile for the psfrag subdirectory

# Where the .m4 libraries are installed.  Change if necessary:
LIBDIR = $$HOME/lib

#---------------------------------------------

MKDIM=pwd | sed -e 's%^%=boxdimfile{%' -e 's%/cygdrive/\(.\)/%\1:/%' \
       -e 's%$$%/$(DIMFILE)}%'

# Comment out the following line to produce absolute addresses for .dim files.
MKDIM=printf '=boxdimfile{$(DIMFILE)}\n'

#---------------------------------------------

# The .m4 circuit_macro libraries used for the examples:
M4MACROS = psfrag.m4
M4 = m4 

#---------------------------------------------
DOC = examplespsfrag

FIGS = Adder.eps Alogix.eps ABlogix.eps Antennas.eps Audio.eps AmpTable.eps \
  AntiqueClock.eps \
  Bip.eps Btree.eps Byte.eps Buttons.eps \
  CanLogic.eps CctTable.eps Conn.eps Connectors.eps \
  Counting.eps Crossbar.eps Crow.eps \
  Decoder.eps Demultiplexer.eps Dini.eps Diodes.eps Drive.eps \
  Contact.eps Contacts.eps \
  Csource.eps \
  Emarrows.eps Flow.eps Fuses.eps \
  GrayCode.eps Grounds.eps Headers.eps Heathkit.eps Jack.eps \
  I2L.eps Inclpdf.eps \
  Logic.eps Loglog.eps MC.eps Mixer.eps MotorControl.eps Multiplexer.eps \
  NLG.eps NPDT.eps Nport.eps \
  Opamp.eps Optoiso.eps Pconn.eps PushPull.eps Quantum.eps \
  Rectifiers.eps Relay.eps Rotbox.eps \
  Schottky.eps Sierpinski.eps ShiftR.eps Sixpole.eps Sources.eps SQUID.eps \
  Switches.eps \
  Tgate.eps Three.eps Timer.eps TTLnand.eps Ttree.eps Tubediags.eps \
  Windings.eps Variable.eps Xform.eps XOR.eps \
  control.eps csc.eps diamond.eps \
  ex00.eps ex01.eps ex02.eps ex03.eps ex04.eps \
  ex05.eps ex06.eps ex08.eps ex09.eps ex10.eps ex11.eps ex12.eps \
  ex15.eps ex16.eps ex17.eps ex18.eps ex21.eps exp.eps \
  fet.eps graysurf.eps lcct.eps pwrsupply.eps quick.eps \
  random.eps recycle.eps relaycoil.eps rose.eps sfg.eps shapes.eps \
  thyristor.eps ujt.eps worm.eps

LOCALFIGS = ex21

# Files using boxdims macros:
BOXDIMS = ex09 Crow Inclpdf Loglog TTLnand Opamp Ttree Windings

# It is advisable to do `make clean' between test examples.
#---------------------------------------------

DPIC = dpic
# DPIC = $$HOME/dpic/test/dpic
# DPIC = $$HOME/dpic/build/p2c/ftp/dpic

TR = | tr '=' '\134'

LATEX = latex --quiet

DIMFILE = tmp.dim

.SUFFIXES: .tex .m4 .eps .ps
.tex.ps:
	$(LATEX) $*
	dvips -Ppdf $*

.m4.eps:
	touch $(DIMFILE)
	$(M4) $(M4MACROS) $(DIMFILE) $*.m4 > $*.pic
	$(DPIC) -f $*.pic > $*.eps
#	$(M4) $(M4MACROS) $(DIMFILE) $*.m4 | $(DPIC) -f >> $*.eps

$(DOC).ps: $(DOC).dvi
	dvips -Ppdf $(DOC)

$(DOC).dvi: $(DOC).tex
	-if test "$(DOC)"="examplespsfrag" ; then make exlinks ;\
    $(MKDIM) $(TR) > setdim.tex; fi
	make $(FIGS) Incl.eps
	$(LATEX) $(DOC)
	-if test -n "$(BOXDIMS)" ; then \
       for box in $(BOXDIMS) ; do rm -f $$box.eps; make $$box.eps ; done; \
       $(LATEX) $(DOC); fi
	-if test -n "$(BOXDIMS)" ; then \
       for box in $(BOXDIMS) ; do rm -f $$box.eps; make $$box.eps ; done; \
       $(LATEX) $(DOC); fi

Incl.eps: ../Incl.eps.gz
	rm -f Incl.eps.gz
	cp ../Incl.eps.gz .
	gunzip Incl.eps.gz

figs: exlinks $(FIGS)

exlinks:
	@echo ""
	@echo 'Ignore "cannot create ... exists" warnings.'
	-@if test ! -f ex11.m4 ; then \
      ls ../*.m4 | sed -e 's/^/ln -s /' -e '/test.m4/d' | sh;\
      ls ../../doc/*.m4 ../*.bb ../*.gz | sed -e 's/^/ln -s /' | sh;\
      fi
	touch exlinks
#	for file in $(LOCALFIGS); do cp $${file}PSF.m4 $${file}.m4 ; done

clobber: clean
	rm -f $(DOC).ps test.m4

tst: tstpsfrag.ps

tstpsfrag.ps: tstpsfrag.dvi
	dvips tstpsfrag

tstpsfrag.dvi: test.eps
	$(LATEX) tstpsfrag

test.eps: test.pic
	$(DPIC) -f test.pic > test.eps

test.pic: test.m4 testlinks
	$(M4) $(M4MACROS) test.m4 > test.pic
	$(DPIC) -f test.pic > test.eps
	$(LATEX) tstpsfrag
	touch tstpsfrag.dim
	$(M4) $(M4MACROS) tstpsfrag.dim test.m4 > test.pic

testlinks:
	for file in ics.m4 FlowchartDefs.m4 ; do ln -s ../$$file ; done
	touch testlinks

clean:
	@printf "\n psfrag clean:\n"
	rm -f stamp-* $(FIGS) *.dvi *.bb *.gz tstpsfrag.ps *.out *.pfg Incl.eps
	-if /usr/bin/test -f exlinks ; then \
     ls -l *.m4 | grep '\->' | \
       sed -e 's/^.* \([^ ][^ ]*\) ->.*$$/rm -f \1/' | sh; rm -f exlinks ; fi
	-if /usr/bin/test -f testlinks ; then \
     ls -l *.m4 | grep '\->' | \
       sed -e 's/^.* \([^ ][^ ]*\) ->.*$$/rm -f \1/' | sh; rm -f testlinks ; fi
	for file in $(LOCALFIGS); do rm -f $${file}.m4 ; done
	rm -f *.log *.ps *.aux *.mp *.[0-9] *.[0-9][0-9] *.mpx *.eps *.dim *.pic
	rm -f core log mpxerr* *links figs.* *.dim dims F_test.* setdim.tex
	rm -f man[0-9]*.pic man[0-9]*.m4 figs.m4 test.1 test.mp test.pic test.tex
	-if test -n "$(BOXDIMS)" ; then for box in $(BOXDIMS) ; do \
      rm -f F_$$box.tex $$box.tex ; done; fi
	@printf "\n"

=== debian/changelog ===
texlive-base (2020.20200925-1) unstable; urgency=medium

  * New upstream checkout
  * Removed obsolete debian/patches/oberdiek-fix-boxdraw .
  * Blacklist again bibtex.1 to avoid a clash w/ texlive-binaries
    (Closes: #970838).

 -- Hilmar Preusse <hille42@web.de>  Sat, 26 Sep 2020 22:41:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: texlive-base
 Section: tex
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
-Build-Depends: debhelper (>= 12), dh-strip-nondeterminism
+Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>, Hilmar Preusse <hille42@web.de>
+Build-Depends: debhelper-compat (= 13), dh-strip-nondeterminism
 Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
 Standards-Version: 4.5.0
 Homepage: http://www.tug.org/texlive/
@@ -174,6 +173,8 @@
  .
  grfext -- Manipulate the graphics package's list of extensions
  .
+ hopatch -- Load patches for packages
+ .
  hycolor -- Implements colour for packages hyperref and bookmark
  .
  hyperref -- Extensive support for hypertext in LaTeX
@@ -211,6 +212,8 @@
  natbib -- Flexible bibliography support
  .
  oberdiek -- A bundle of packages submitted by Heiko Oberdiek
+ .
+ pagesel -- Select pages of a document for output
  .
  pdfescape -- Implements pdfTeX's escape features using TeX or e-TeX
  .
@@ -257,5 +260,3 @@
  .
  caption -- Customising captions in floating environments
  .
- cite -- Improved citation handling in LaTeX
- .

## texlive-base 2020.20201129

=== debian/changelog ===
texlive-base (2020.20201129-2) unstable; urgency=medium

  * Add Breaks to old texlive-formats-extra to make sure lamed
    format is not built any more (Closes: #976170).
    Thanks to Norbert for fast analysis!

 -- Hilmar Preusse <hille42@web.de>  Mon, 30 Nov 2020 23:08:28 +0100

texlive-base (2020.20201129-1) unstable; urgency=medium

  [ Hilmar Preusse ]
  * New upstream checkout.
  * Removed obsolete
    texlive-base/texmf-dist/doc/latex/microtype/microtype.pdf
    from source package.

  [ Norbert Preining ]
  * Remove outdated pdftexconfig.tex which broke paper configuration
    (Closes: #972167)

 -- Hilmar Preusse <hille42@web.de>  Sun, 29 Nov 2020 23:51:59 +0100

=== debian/control ===
--- 
+++ 
@@ -106,8 +106,6 @@
  .
  unicode-data -- Unicode data and loaders for TeX
  .
- updmap-map -- auto-generated font map files
- .
  xdvi -- A DVI previewer for the X Window System
  .
  texdoc -- Documentation access for TeX Live
@@ -120,7 +118,7 @@
 Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2020.20200417), texlive-base (>= 2020.20200417), texlive-binaries (>= 2020.20200327)
 Suggests: texlive-latex-base-doc
 Replaces: texlive-latex-extra (<< 2019.202000225), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225)
-Breaks: texlive-base (<< 2020.20200417), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2019.202000225), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225)
+Breaks: texlive-base (<< 2020.20200417), texlive-formats-extra (<< 2020.20201129), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2019.202000225), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225)
 Description: TeX Live: LaTeX fundamental packages
  These packages are either mandated by the core LaTeX team, or very widely 
  used and strongly recommended in practice.
@@ -160,6 +158,9 @@
  etexcmds -- Avoid name clashes with e-TeX commands
  .
  fancyhdr -- Extensive control of page headers and footers in LaTeX2e
+ .
+ firstaid -- First aid for external LaTeX files and packages that need
+ updating
  .
  fix2col -- Fix miscellaneous two column mode features
  .
@@ -256,7 +257,3 @@
  .
  booktabs -- Publication quality tables in LaTeX
  .
- breqn -- Automatic line breaking of displayed equations
- .
- caption -- Customising captions in floating environments
- .
